## indi-gphoto 3.0+20220129131520

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi_gphoto C CXX)

set(INDI_GPHOTO_VERSION_MAJOR 3)
set(INDI_GPHOTO_VERSION_MINOR 1)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

set(UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")

SET(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall" )
SET(CMAKE_CXX_FLAGS_DEBUG "-O0 -g -DDEBUG_FITS" )
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall" )
SET(CMAKE_C_FLAGS_DEBUG "-O0 -g -DDEBUG_FITS" )

find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(ZLIB REQUIRED)
find_package(GPHOTO2 REQUIRED)
find_package(Threads REQUIRED)
find_package(JPEG REQUIRED)
find_package(LibRaw REQUIRED)
find_package(USB1 REQUIRED)

include(CMakeCommon)
include(CheckStructHasMember)

CHECK_STRUCT_HAS_MEMBER("libraw_imgother_t" CameraTemperature "libraw/libraw_types.h" HAVE_LIBRAW_CAMERA_TEMPERATURE LANGUAGE C)
if (HAVE_LIBRAW_CAMERA_TEMPERATURE)
  set(LIBRAW_CAMERA_TEMPERATURE 1)
  message(STATUS "Found CameraTemperature in 'libraw/libraw_types.h'")
endif ()

CHECK_STRUCT_HAS_MEMBER("libraw_imgother_t" SensorTemperature "libraw/libraw_types.h" HAVE_LIBRAW_SENSOR_TEMPERATURE LANGUAGE C)
if (HAVE_LIBRAW_SENSOR_TEMPERATURE)
  set(LIBRAW_SENSOR_TEMPERATURE 1)
  message(STATUS "Found SensorTemperature in 'libraw/libraw_types.h'")
endif ()

CHECK_STRUCT_HAS_MEMBER("libraw_metadata_common_t" CameraTemperature "libraw/libraw_types.h" HAVE_LIBRAW_CAMERA_TEMPERATURE2 LANGUAGE C)
if (HAVE_LIBRAW_CAMERA_TEMPERATURE2)
  set(LIBRAW_CAMERA_TEMPERATURE2 1)
  message(STATUS "Found CameraTemperature in libraw_metadata_common_t 'libraw/libraw_types.h'")
endif ()

CHECK_STRUCT_HAS_MEMBER("libraw_metadata_common_t" SensorTemperature "libraw/libraw_types.h" HAVE_LIBRAW_SENSOR_TEMPERATURE2 LANGUAGE C)
if (HAVE_LIBRAW_SENSOR_TEMPERATURE2)
  set(LIBRAW_SENSOR_TEMPERATURE2 1)
  message(STATUS "Found SensorTemperature in libraw_metadata_common_t 'libraw/libraw_types.h'")
endif ()

if (INDI_WEBSOCKET)
    find_package(websocketpp REQUIRED)
    find_package(Boost COMPONENTS system thread)
    include_directories (${Boost_INCLUDE_DIRS})
    add_definitions(-DHAVE_WEBSOCKET)
    SET(HAVE_WEBSOCKET 1)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_gphoto.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_gphoto.xml )

#find_program(DCRAW_EXECUTABLE NAMES dcraw
#    PATHS
#    /usr/bin
#    /usr/local/bin)

#if (NOT DCRAW_EXECUTABLE)
#    message(FATAL_ERROR "dcraw not found. Please install dcraw and try again.")
#endif (NOT DCRAW_EXECUTABLE)

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})
include_directories( ${GPHOTO2_INCLUDE_DIR})
include_directories( ${LibRaw_INCLUDE_DIR})
include_directories( ${USB1_INCLUDE_DIRS})

########### Gphoto ###########
set(indigphoto_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/gphoto_ccd.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/gphoto_driver.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/gphoto_readimage.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/dsusbdriver.cpp
   )

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(indigphoto indi_gphotoSRCS 10 cpp)
ENDIF ()

SET_SOURCE_FILES_PROPERTIES(gphoto_readimage.cpp PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")

add_executable(indi_gphoto_ccd ${indigphoto_SRCS})

target_link_libraries(indi_gphoto_ccd ${INDI_LIBRARIES} ${CFITSIO_LIBRARIES} ${GPHOTO2_LIBRARY} ${GPHOTO2_PORT_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} ${JPEG_LIBRARIES} ${LibRaw_LIBRARIES} ${ZLIB_LIBRARIES})

if (HAVE_WEBSOCKET)
    target_link_libraries(indi_gphoto_ccd ${Boost_LIBRARIES})
endif()

install(TARGETS indi_gphoto_ccd RUNTIME DESTINATION bin )

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_gphoto_symlink.cmake
"exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_gphoto_ccd \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_canon_ccd)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_gphoto_ccd \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_nikon_ccd)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_gphoto_ccd \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_pentax_ccd)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_gphoto_ccd \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_sony_ccd)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_gphoto_ccd \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_fuji_ccd)\n")
set_target_properties(indi_gphoto_ccd PROPERTIES POST_INSTALL_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/make_gphoto_symlink.cmake)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_gphoto.xml DESTINATION ${INDI_DATA_DIR})

# Disable automount for DSLR cameras
IF (UNIX AND NOT APPLE)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/85-disable-dslr-automout.rules DESTINATION ${UDEVRULES_INSTALL_DIR})
ENDIF ()

=== debian/changelog ===
indi-gphoto (3.0+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 13:51:50 +0000

indi-gphoto (3.0-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 28 Dec 2021 09:28:03 +0100

indi-gphoto (3.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 26 Dec 2021 18:28:03 +0000

## indi-gphoto 3.0+20220611124727

=== debian/changelog ===
indi-gphoto (3.0+20220611124727-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 12:47:38 +0000

## indi-gphoto 3.2+20221221172841

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PROJECT(indi_gphoto C CXX)
 
 set(INDI_GPHOTO_VERSION_MAJOR 3)
-set(INDI_GPHOTO_VERSION_MINOR 1)
+set(INDI_GPHOTO_VERSION_MINOR 2)
 
 LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
 LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")

=== debian/changelog ===
indi-gphoto (3.2+20221221172841-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113021)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:26:38 +0200

indi-gphoto (3.2+20221221172841-2) unstable; urgency=medium

  * Use udev.pc to place udev files. (Closes: #1058853)
    Thanks to Chris Hofstaedtler for the patch
    - debian/control: update dependencies for /usr-merge
    - debian/rules: Use udev.pc to place udev files.
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/copyright: update years
  * add upstream metadata

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 17 Dec 2023 13:50:02 +0100

indi-gphoto (3.2+20221221172841-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 3.2
  * new upstream version Closes: #1026630

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Dec 2022 17:29:56 +0000

=== debian/control ===
Source: indi-gphoto
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libindi-dev
	, zlib1g-dev
	, libusb-dev
	, libjpeg-dev
	, libcfitsio-dev
	, libgphoto2-dev
	, libraw-dev
	, pkgconf
	, systemd-dev
Standards-Version: 4.6.2
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-gphoto
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-gphoto.git

Package: indi-gphoto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for GPhoto (DSLR) Cameras
 This package contains an INDI driver for GPhoto (DSLR) Cameras.
 The driver can operate any camera supported by GPhoto2.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
